MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030154Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-09-21 13:502018-09-30 18:47
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030154: [REGRESSION] Modeling Algorithms - Boolean Operation on planar geometry hangs inside BRepLib::FindValidRange()
DescriptionBRepAlgoAPI_Cut hangs for too long time (infinite?) inside BRepLib::FindValidRange() when called on attached shapes (planar face cut by a AABB box).

This is a regression since OCCT 7.2.0 (OCCT 7.1.0 produces instant result).
Steps To Reproduce
pload MODELING VISUALIZATION
restore f.brep f
restore b.brep b
bcut r f b

foreach e [explode b e] {
  validrange $e
}
TagsNo tags attached.
Test case numberbugs/modalg_7/bug30154_1 bugs/modalg_7/bug30154_2
Attached Files? file icon f.brep (291 bytes) 2018-09-21 13:50
? file icon b.brep (4,009 bytes) 2018-09-21 13:50

- Relationships

-  Notes
(0079316)
emv (developer)
2018-09-21 15:50

The problem is that the edge on which BRepLib::FindValidRange() hangs is parametrized from 0 to 519231048. And FindValidRange tries to find the solution with precision 1.e-8, which cannot be reached for such huge value. So, the loop will really be infinite.
As a solution, the precision should not be less than the Epsilon of the Max of parametric values.
(0079317)
git (administrator)
2018-09-21 16:23

Branch CR30154 has been created by emv.

SHA-1: 5da4bad47d353b209ff5d7eb4d984e20a115d6ce


Detailed log of new commits:

Author: emv
Date: Fri Sep 21 16:22:37 2018 +0300

    0030154: [REGRESSION] Modeling Algorithms - Boolean Operation on planar geometry hangs inside BRepLib::FindValidRange()
    
    Does not allow the precision with which the valid range is found to be less than the epsilon of the max parameter of the edge's range.
    Test cases for the issue.
(0079318)
git (administrator)
2018-09-21 16:27

Branch CR30154 has been updated forcibly by emv.

SHA-1: 8730882035ea90174cd58587eeeb6a4f775af123
(0079460)
emv (developer)
2018-09-28 07:19

Dear Mikhail, could you please review the git branch CR30154?
Test results - http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR30154-master-emv/view/COMPARE/ [^]
(0079461)
msv (developer)
2018-09-28 09:46

Reviewed.
(0079464)
bugmaster (administrator)
2018-09-28 11:01

Combination -
OCCT branch : CR30154 SHA - 8730882035ea90174cd58587eeeb6a4f775af123
Products branch : master SHA - f9065a267b8d853b9b62de5a81af9e9e51bc8d26
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17299.27999999977 / 17379.439999999933 [-0.46%]
Products
Total CPU difference: 7342.020000000019 / 7467.690000000077 [-1.68%]
Windows-64-VC14:
OCCT
Total CPU difference: 17454.12508469869 / 17536.33761169853 [-0.47%]
Products
Total CPU difference: 8341.841472999999 / 8382.276932199968 [-0.48%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0079512)
git (administrator)
2018-09-30 18:47

Branch CR30154 has been deleted by inv.

SHA-1: 8730882035ea90174cd58587eeeb6a4f775af123

- Related Changesets
occt: master 60b1a085
Timestamp: 2018-09-21 13:22:37
Author: emv
Committer: bugmaster
Details ] Diff ]
0030154: [REGRESSION] Modeling Algorithms - Boolean Operation on planar geometry hangs inside BRepLib::FindValidRange()

Do not allow the precision with which the valid range is found to be less than the epsilon of the max parameter of the edge's range.
Test cases for the issue.
mod - src/BRepLib/BRepLib_1.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug30154_1 Diff ] File ]
add - tests/bugs/modalg_7/bug30154_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-21 13:50 kgv New Issue
2018-09-21 13:50 kgv Assigned To => msv
2018-09-21 13:50 kgv File Added: f.brep
2018-09-21 13:50 kgv File Added: b.brep
2018-09-21 14:42 kgv Product Version 7.3.0 => 7.2.0
2018-09-21 14:42 kgv Summary Modeling Algorithms - Boolean Operation on planar geometry hangs inside BRepLib::FindValidRange() => [REGRESSION] Modeling Algorithms - Boolean Operation on planar geometry hangs inside BRepLib::FindValidRange()
2018-09-21 14:42 kgv Description Updated View Revisions
2018-09-21 15:50 emv Note Added: 0079316
2018-09-21 15:50 emv Assigned To msv => emv
2018-09-21 15:50 emv Status new => assigned
2018-09-21 15:51 emv Steps to Reproduce Updated View Revisions
2018-09-21 15:54 emv Steps to Reproduce Updated View Revisions
2018-09-21 16:23 git Note Added: 0079317
2018-09-21 16:27 kgv Relationship added child of 0030152
2018-09-21 16:27 git Note Added: 0079318
2018-09-28 07:19 emv Note Added: 0079460
2018-09-28 07:19 emv Assigned To emv => msv
2018-09-28 07:19 emv Status assigned => resolved
2018-09-28 09:46 msv Note Added: 0079461
2018-09-28 09:46 msv Assigned To msv => bugmaster
2018-09-28 09:46 msv Status resolved => reviewed
2018-09-28 10:58 bugmaster Test case number => bugs/modalg_7/bug30154_1 bugs/modalg_7/bug30154_2
2018-09-28 11:01 bugmaster Note Added: 0079464
2018-09-28 11:01 bugmaster Status reviewed => tested
2018-09-30 18:26 bugmaster Changeset attached => occt master 60b1a085
2018-09-30 18:26 bugmaster Status tested => verified
2018-09-30 18:26 bugmaster Resolution open => fixed
2018-09-30 18:47 git Note Added: 0079512


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker